Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.persondir.support
Class StubPersonAttributeDao

    java.lang.Object
      org.jasig.portal.services.persondir.support.StubPersonAttributeDao

All Implemented Interfaces:
  IPersonAttributeDao

    public class StubPersonAttributeDao

extends java.lang.Object
implements IPersonAttributeDao

A stub IPersonAttributeDao to be used for testing. Backed by a single Map which this implementation will always return.

Since:
  uPortal 2.5
Version:
  $Revision: 1.1 $ $Date: 2005/04/06 19:10:32 $
Author:
  andrew.petro@yale.edu

Field Summary
`private java.util.Map` | `backingMap`

Constructor Summary
`StubPersonAttributeDao()`

Method Summary
`java.util.Map` | `getBackingMap()` Get the Map which this stub object will return for all legal invocations of attributesForUser()
`java.util.Set` | `getPossibleUserAttributeNames()` Gets a `Set` of attribute names that may be returned by the `IPersonAttributeDao.getUserAttributes(Map)`.
`java.util.Map` | `getUserAttributes(java.util.Map seed)` Obtains a mutable `Map` from attribute names to values for the given query seed which is an immutable Map.
`java.util.Map` | `getUserAttributes(java.lang.String uid)` This method uses a single attribute to get a `Map` of user attributes.
`void` | `setBackingMap(java.util.Map backingMap)` Set the Map which this stub object will return for all legal invocations of attributesForUser().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### backingMap

    private java.util.Map backingMap

Constructor Detail

### StubPersonAttributeDao

    public StubPersonAttributeDao()

Method Detail

### getPossibleUserAttributeNames

    public java.util.Set getPossibleUserAttributeNames()

  Description copied from interface: `IPersonAttributeDao`
  Gets a `Set` of attribute names that may be returned by the `IPersonAttributeDao.getUserAttributes(Map)`. The names returned represent all possible names `IPersonAttributeDao.getUserAttributes(Map)` could return. If the dao doesn't have a way to know all possible attribute names this method should return `null`.
  Returns an immutable `Set`.

  Specified by:
    `getPossibleUserAttributeNames` in interface `IPersonAttributeDao`
  Returns:
    A {link Set} of possible attribute names for user queries.

### getUserAttributes

    public java.util.Map getUserAttributes(java.util.Map seed)

  Description copied from interface: `IPersonAttributeDao`
  Obtains a mutable `Map` from attribute names to values for the given query seed which is an immutable Map. The values may be mutable objects but it is recommended that they be immutable.
  For the returned `Map`; Keys must be `String`, Values can be any `Object`, they are typically `String`s.
  Values may also be multi-valued, in this case they are of type `List` and the list contents are the values of the attribute.
  This method returns according to the following rules:
  - If the user exists and has attributes a populated `Map` is returned.
  - If the user exists and has no attributes an empty `Map` is returned.
  - If the user doesn't exist `null` is returned.
  - If an error occurs while getting the attributes the appropriate exception will be propagated.
  Unless otherwise specified by an implementation the returned `Map` will not be a union of the seed and query results. If your are given a `Map` that includes the attribute "phone" and value "555-1212" and the returned `Map` contains the attribute "phone" with the value "555-1212", this means that your implementation also believes that the "phone" attribute should have this value.

  Specified by:
    `getUserAttributes` in interface `IPersonAttributeDao`
  Parameters:
    `seed` - immutable Map of attributes to values to seed the query
  Returns:
    Map from attribute names to values

### getUserAttributes

    public java.util.Map getUserAttributes(java.lang.String uid)

  Description copied from interface: `IPersonAttributeDao`
  This method uses a single attribute to get a `Map` of user attributes.
  This methods follows the same return rules as `IPersonAttributeDao.getUserAttributes(Map)`

  Specified by:
    `getUserAttributes` in interface `IPersonAttributeDao`
  Parameters:
    `uid` - The string to use as the value in the seed
  Returns:
    Map from attribute names to values
  See Also:
    `IPersonAttributeDao.getUserAttributes(Map)`

### getBackingMap

    public java.util.Map getBackingMap()

  Get the Map which this stub object will return for all legal invocations of attributesForUser()

  Returns:
    Returns the backingMap.

### setBackingMap

    public void setBackingMap(java.util.Map backingMap)

  Set the Map which this stub object will return for all legal invocations of attributesForUser().

  Parameters:
    `backingMap` - The backingMap to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD